Skip to main content

The phone Object

Represents an app user’s mobile phone.
A phone resource.
{
  "created_at": "2025-06-14T16:54:17.946540Z",
  "custom_metadata": { "id": "internalId1" },
  "device_id": "e452f665-a635-4c65-922b-9feab0e0f84f",
  "device_type": "ios_phone",
  "display_name": "My Phone",
  "errors": [],
  "nickname": "My Phone",
  "properties": {
    "assa_abloy_credential_service_metadata": {
      "endpoints": [
        {
          "endpoint_id": "c7d8e9f0-1a2b-3c4d-5e6f-7a8b9c0d1e2f",
          "is_active": true
        }
      ],
      "has_active_endpoint": true
    }
  },
  "warnings": [],
  "workspace_id": "da8639a4-28a2-4884-a4f9-b7691f4cf336"
}

Properties

created_at Datetime Date and time at which the phone was created.
custom_metadata Record Optional custom metadata for the phone.
device_id UUID ID of the phone.
device_type Enum Device type for phones.
display_name String Display name of the phone. Defaults to nickname (if it is set) or properties.appearance.name, otherwise. Enables administrators and users to identify the phone easily, especially when there are numerous phones.
errors List of Objects Errors associated with the phone.
nickname String Optional nickname to describe the phone, settable through Seam.
warnings List of Objects Warnings associated with the phone.
workspace_id UUID ID of the workspace that contains the phone.

phone.properties

assa_abloy_credential_service_metadata Object ASSA ABLOY Credential Service metadata for the phone.
salto_space_credential_service_metadata Object Salto Space credential service metadata for the phone.

Events

phone.deactivated A phone device was deactivated.

Endpoints

/phones/deactivate Deactivates a phone, which is useful, for example, if a user has lost their phone. For more information, see App User Lost Phone Process. /phones/get Returns a specified phone. /phones/list Returns a list of all phones. To filter the list of returned phones by a specific owner user identity or credential, include the owner_user_identity_id or acs_credential_id, respectively, in the request body.